pht {plm} | R Documentation

## Hausman–Taylor Estimator for Panel Data

### Description

The Hausman–Taylor estimator is an instrumental variable estimator without external instruments.

### Usage

    pht(formula, data, subset, na.action, model = c("ht", "am", "bms"), index = NULL, ...)
    ## S3 method for class 'pht'
    summary(object, ...)
    ## S3 method for class 'summary.pht'
    print(x, digits = max(3, getOption("digits") - 2),
         width = getOption("width"), subset = NULL, ...)

### Arguments

`formula` | a symbolic description for the model to be estimated,
`object,x` | an object of class `"plm"`,
`data` | a `data.frame`,
`subset` | see `lm` for `"plm"`, a character or numeric vector indicating a subset of the table of coefficient to be printed for `"print.summary.plm"`,
`na.action` | see `lm`,
`model` | one of `"ht"` for Hausman–Taylor, `"am"` for Amemiya–MaCurdy and `"bms"` for Breusch–Mizon–Schmidt,
`index` | the indexes,
`digits` | digits,
`width` | the maximum length of the lines in the print output,
`...` | further arguments.

### Details

`pht` estimates panels models using the Hausman–Taylor estimator, Amemiya–MaCurdy estimator, or Breusch–Mizon–Schmidt estimator, depending on the argument `model`. The model is specified as a two–part formula, the second part containing the exogenous variables.

### Value

An object of class `c("pht", "plm", "panelmodel")`.

A `"pht"` object contains the same elements as `plm`, with a further argument called `varlist` which describes the typology of the variables. It has `summary` and `print.summary` methods.

### Author(s)

Yves Croissant

### References

Amemiya, T. and MaCurdy, T.E. (1986) Instrumental–variable estimation of an error components model, Econometrica, 54(4), pp. 869–880.

Baltagi, Badi H. (2013) Econometric Analysis of Panel Data, 5th ed., John Wiley and Sons.

Breusch, T.S., Mizon, G.E. and Schmidt, P. (1989) Efficient estimation using panel data, Econometrica, 57(3), pp. 695–700.

Hausman, J.A. and Taylor W.E. (1981) Panel data and unobservable individual effects, Econometrica, 49(6), pp. 1377–1398.

### Examples

    # replicates Baltagi (2005, 2013), table 7.4
    data("Wages", package = "plm")
    ht <- pht(lwage ~ wks + south + smsa + married + exp + I(exp^2) +
              bluecol + ind + union + sex + black + ed |
              sex + black + bluecol + south + smsa + ind,
              data = Wages, model = "ht", index = 595)
    summary(ht)

[Package plm version 1.6-6 Index]